org.apache.solr.client.solrj.cloud.autoscaling

## Class ReplicaInfo

- java.lang.Object
- - org.apache.solr.client.solrj.cloud.autoscaling.ReplicaInfo

All Implemented Interfaces:
  MapSerializable, MapWriter, NavigableObject

Deprecated.
to be removed in Solr 9.0 (see SOLR-14656)

    public class ReplicaInfo
    extends Object
    implements MapWriter

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.solr.common.MapWriter

`MapWriter.EntryWriter`

### Field Summary

Fields
`boolean` `isLeader` Deprecated.

### Constructor Summary

Constructors
Constructor and Description
`ReplicaInfo(Map<String,Object> map)` Deprecated.
`ReplicaInfo(String coll, String shard, Replica r, Map<String,Object> vals)` Deprecated.
`ReplicaInfo(String name, String core, String coll, String shard, Replica.Type type, String node, Map<String,Object> vals)` Deprecated.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`Object` `clone()` Deprecated.
`boolean` `equals(Object o)` Deprecated.
`boolean` `getBool(String name, boolean defValue)` Deprecated.
`String` `getCollection()` Deprecated.
`String` `getCore()` Deprecated. SolrCore name.
`String` `getName()` Deprecated. Replica "coreNode" name.
`String` `getNode()` Deprecated.
`String` `getShard()` Deprecated.
`Replica.State` `getState()` Deprecated.
`Replica.Type` `getType()` Deprecated.
`Object` `getVariable(String name)` Deprecated.
`Object` `getVariable(String name, Object defValue)` Deprecated.
`Map<String,Object>` `getVariables()` Deprecated.
`int` `hashCode()` Deprecated.
`String` `toString()` Deprecated.
`void` `writeMap(MapWriter.EntryWriter ew)` Deprecated.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.solr.common.MapWriter

`jsonStr, toMap`

### Methods inherited from interface org.apache.solr.common.NavigableObject

`_forEachEntry, _forEachEntry, _forEachEntry, _get, _get, _getStr, _getStr, _size`

### Field Detail

#### isLeader

    public final boolean isLeader

Deprecated.

### Constructor Detail

#### ReplicaInfo

    public ReplicaInfo(String coll,
                       String shard,
                       Replica r,
                       Map<String,Object> vals)

Deprecated.

#### ReplicaInfo

    public ReplicaInfo(String name,
                       String core,
                       String coll,
                       String shard,
                       Replica.Type type,
                       String node,
                       Map<String,Object> vals)

Deprecated.

#### ReplicaInfo

    public ReplicaInfo(Map<String,Object> map)

Deprecated.

### Method Detail

#### clone

    public Object clone()

Deprecated.

Overrides:
  `clone` in class `Object`

#### writeMap

    public void writeMap(MapWriter.EntryWriter ew)
                  throws IOException

Deprecated.

Specified by:
  `writeMap` in interface `MapWriter`
Throws:
  `IOException`

#### getName

    public String getName()

Deprecated.
Replica "coreNode" name.

#### getCore

    public String getCore()

Deprecated.
SolrCore name.

#### getCollection

    public String getCollection()

Deprecated.

#### getShard

    public String getShard()

Deprecated.

#### getType

    public Replica.Type getType()

Deprecated.

#### getState

    public Replica.State getState()

Deprecated.

#### getVariables

    public Map<String,Object> getVariables()

Deprecated.

#### getVariable

    public Object getVariable(String name)

Deprecated.

#### getVariable

    public Object getVariable(String name,
                              Object defValue)

Deprecated.

#### getBool

    public boolean getBool(String name,
                           boolean defValue)

Deprecated.

#### equals

    public boolean equals(Object o)

Deprecated.

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Deprecated.

Overrides:
  `hashCode` in class `Object`

#### toString

    public String toString()

Deprecated.

Overrides:
  `toString` in class `Object`

#### getNode

    public String getNode()

Deprecated.